﻿using SlnMesnac.Model.domain;
using SlnMesnac.Repository.service.@base;
using System;
using System.Collections.Generic;
using System.Text;

namespace SlnMesnac.Repository.service
{
    public interface IMesPrdBarCodeService:IBaseService<MesPrdBarcodeInfo>
    {
        /// <summary>
        /// 保存条码队列信息
        /// </summary>
        /// <param name="task"></param>
        /// <param name="barCodeTasks"></param>
        /// <exception cref="InvalidOperationException"></exception>
        void InsertBarCodeTask(MesPrdBarcodeInfo barcodeInfo);

        /// <summary>
        /// 查询前四十条已经喷印未绑定条码
        /// </summary>
        /// <param name="task"></param>
        /// <param name="barCodeTasks"></param>
        /// <exception cref="InvalidOperationException"></exception>
        List<MesPrdBarcodeInfo> GetUseBarCodeList();




    }
}
