﻿using Microsoft.Extensions.DependencyInjection;
using SlnMesnac.Model.domain;
using SlnMesnac.Repository.service.@base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

#region << 版 本 注 释 >>
/*--------------------------------------------------------------------
* 版权所有 (c) 2024 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：LAPTOP-E0N2L34V
* 命名空间：SlnMesnac.Repository.service.Impl
* 唯一标识：50d84911-9088-4fd3-b85a-151411028afc
*
* 创建者：WenJY
* 电子邮箱：wenjy@mesnac.com
* 创建时间：2024-04-08 16:47:57
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/
#endregion << 版 本 注 释 >>
namespace SlnMesnac.Repository.service.Impl
{
    public class DmsRealtimeStatusServiceImpl : BaseServiceImpl<DmsRealtimeStatus>, IDmsRealtimeStatusService
    {

        public DmsRealtimeStatusServiceImpl(Repository<DmsRealtimeStatus> rep) : base(rep)
        {
           
        }

        /// <summary>
        /// 获取生产控制系统监听的所有设备参数状态列表
        /// </summary>
        /// <returns></returns>
        public List<DmsRealtimeStatus> GetAllList()
        {
            List<DmsRealtimeStatus> list = null;
   
            var deviceIds = new List<long> { 1016, 1017, 1018, 1019 };
            list = _rep.GetList(x=> deviceIds.Contains((long)x.DeviceId));
            return list;
        }


    }
}
