﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

#region << 版 本 注 释 >>
/*--------------------------------------------------------------------
* 版权所有 (c) 2024 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：LAPTOP-E0N2L34V
* 命名空间：SlnMesnac.Model.domain
* 唯一标识：6741452a-5ee5-4405-9465-8aaa5c331cbc
*
* 创建者：WenJY
* 电子邮箱：wenjy@mesnac.com
* 创建时间：2024-04-10 16:40:11
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/
#endregion << 版 本 注 释 >>
namespace SlnMesnac.Model.domain
{
    [SugarTable("mes_prd_barcode_info"), TenantAttribute("mes")]
    public class MesPrdBarcodeInfo
    {
        /// <summary>
        /// 主键标识
        /// </summary>
        [SugarColumn(ColumnName = "prd_barcode_id", IsPrimaryKey = true, IsIdentity = true)]
        public int PrdBarcodeId { get; set; }

        /// <summary>
        /// 小包条码
        /// </summary>
        [SugarColumn(ColumnName = "prd_barcode_info")]
        public string PrdBarcodeInfo { get; set; }

        /// <summary>
        /// 喷码标识,1-已喷印，0-未喷印
        /// </summary>
        [SugarColumn(ColumnName = "print_flag")]
        public string ?PrintFlag { get; set; }

        /// <summary>
        /// 关联mes_base_barcode_info里的大条码
        /// </summary>
        [SugarColumn(ColumnName = "mes_barcode_info")]
        public string? MesBarcodeInfo { get; set; }

        /// <summary>
        /// 绑定托盘号
        /// </summary>
        [SugarColumn(ColumnName = "pallet_info_code")]
        public string? PalletInfoCode { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnName = "creat_time")]
        public DateTime?CreatTime { get; set; }

        /// <summary>
        /// 喷印时间
        /// </summary>
        [SugarColumn(ColumnName = "print_time")]
        public DateTime? PrintTime { get; set; }

        /// <summary>
        /// 绑定时间
        /// </summary>
        [SugarColumn(ColumnName = "bind_time")]
        public DateTime? BindTime { get; set; }

        /// <summary>
        /// 绑定状态:0-未绑定；1-已绑定；2-弃用
        /// </summary>
        [SugarColumn(ColumnName = "bind_status")]
        public int? BindStatus { get; set; }


    }
    
}
